### Signal

# SpiceClientGLib CursorChannel::cursor-set

deprecated: 0.34

#### Declaration

    void
    cursor_set (
      SpiceCursorChannel* self,
      gint width,
      gint height,
      gint hot_x,
      gint hot_y,
      gpointer rgba,
      gpointer user_data
    )

#### Description [src]

The `SpiceCursorChannel::cursor-set` signal is emitted to modify cursor aspect and position on the display area.

Default handler: The default handler is called before the handlers added via `g_signal_connect()`.
Deprecated since: 0.34
Use `SpiceCursorChannel:cursor` notify instead.

#### Parameters

`width`

  Type: `gint`

  Width of the shape.

`height`

  Type: `gint`

  Height of the shape.

`hot_x`

  Type: `gint`

  Horizontal offset of the ‘hotspot’ of the cursor.

`hot_y`

  Type: `gint`

  Vertical offset of the ‘hotspot’ of the cursor.

`rgba`

  Type: `gpointer`

  32bits shape data, or `NULL` if default cursor. It might be freed after the signal is emitted, so make sure to copy it if you need it later!

  The argument can be `NULL`.
  The data is owned by the caller of the function.